<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" 
      xmlns:th="https://www.thymeleaf.org"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Beranda Aplikasi E-Progress</title>

        <!-- Mainly scripts -->
        <script th:src="@{/assets/js/jquery-3.1.1.min.js}"></script>
        <script th:src="@{/assets/js/bootstrap.js}"></script>
        <script th:src="@{/assets/js/custom.js}"></script>

        <!-- Ladda -->
        <script th:src="@{/assets/js/plugins/ladda/spin.min.js}"></script>
        <script th:src="@{/assets/js/plugins/ladda/ladda.min.js}"></script>
        <script th:src="@{/assets/js/plugins/ladda/ladda.jquery.min.js}"></script>        

        <!-- Ladda style -->
        <link th:href="@{/assets/css/plugins/ladda/ladda-themeless.min.css}" rel="stylesheet" />

        <link th:href="@{/assets/css/animate.css}" rel="stylesheet" />

        <link th:href="@{/assets/css/bootstrap.min.css}" rel="stylesheet" id="bootstrap-css" />
        <link th:href="@{/assets/font-awesome/css/font-awesome.css}" rel="stylesheet" />
        <link th:href="@{/assets/css/custom.css}" rel="stylesheet" />
        
        <link rel="icon" href="#" th:href="@{/assets/img/favicon.ico}" type="image/x-icon"/>
    </head>
    <body>

        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" th:href="@{/}">E-Progress</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                </ul>
                <ul class="navbar-nav form-inline my-2 my-lg-0">

                    <li sec:authorize="isAuthenticated()" class="dropdown">
                        <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fa fa-user"></i> <span sec:authentication="name"></span> <span class="caret"></span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item" th:href="@{/home}">Dashboard E-Progress</a>
                            <a class="dropdown-item" th:href="@{/logout}">Logout</a>

                        </div>
                    </li>
                    <li sec:authorize="!isAuthenticated()" class="nav-item dropdown">
                        <a th:href="@{/login}" class="nav-link">Login<span class="caret"></span></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="nav-link dropdown-toggle" title="Manual" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fa fa-book"></i><span class="caret"></span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item" th:href="@{/img/user.manual.ep.v2.0.pdf}">Unduh Manual e-Book</a>
                            
                        </div>
                    </li>
                </ul>

            </div>
        </nav>  

        <!--        <th:block th:if="${param.cari} ? '<div class='container animated fadeInDown'>' : '<div class='container animated fadeInDown'>'"></th:block>-->
        <div th:class="${param.cari} ? 'container animated fadeInUp' : 'container animated fadeInDown'" th:style="${param.cari} ? 'padding: 2%' : ''">
            <div class="row">
                <div class="col-12"><h2><img th:src="@{/img/logo.png}" class="img-fluid" alt="Logo E-Progress" /></h2></div>
                <div class="col-12">
                    <form th:action="@{/beranda/hasil}" method="get">
                        <div id="custom-search-input">
                            <div class="input-group">
                                <input type="text" name="cari" class="search-query form-control" placeholder="Cari Progres" />
                                <span class="input-group-btn">
                                    <button type="submit">
                                        <span class="fa fa-search"></span>
                                    </button>
                                </span>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div th:if="${pencarian}">
            <div id="modalHolderRincianPublik"></div>
            <div class="d-flex justify-content-center animated fadeInUp">
                <h5>Hasil Pencarian: <span class="font-italic" th:text="${kueri}"></span></h5>
            </div>
            <div class="d-flex justify-content-center animated bounceInLeft" th:each="o, row : ${data.content}">

                <div class="card w-75 mb-2">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover">

                                <tbody>

                                    <tr>
                                        <td class="w-75">
                                            <h5 th:text="${o.nama}"></h5> 
                                            <h6>Diajukan oleh <th:block th:text="${o.stakeholder.keterangan}"></th:block></h6>

                                        </td>

                                        <td class="w-25" style="padding-top: 20px;">
                                            <button type="button" title="Lihat Rincian" class="btn btn-success" th:attr="onclick='javascript:openDataRincianPublikModal('+${o.id}+');'"><i class="fa fa-bar-chart"></i> Lihat</button>
                                        </td>
                                    </tr> 
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="d-flex justify-content-center animated bounceInLeft">
                <div class="row">
                    <div class="col-sm-6" style="padding-top: 10px;">
                        <div sd:pagination-summary="compact">info</div>
                    </div>
                    <div class="col-sm-6">
                        <nav class="pull-right">
                            <ul class="pagination" sd:pagination-split="7" sd:pagination="full">
                                <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <!-- Footer -->
        <footer class="page-footer font-small animated fadeInDown">

            <!-- Copyright -->
            <div class="footer-copyright text-center py-3">© 2019 Copyright:
                Pustipanda UIN Syarif Hidaytullah Jakarta
            </div>
            <!-- Copyright -->

        </footer>
        <!-- Footer -->
        <div id="modalRincianPublik" class="modal fade" role="dialog" th:fragment="infoDataRincianPublik">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">

                        <h5 class="modal-title">Progres <th:block th:text="${namatugas}"></th:block></h5>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>

                    </div>
                    <div class="modal-body">
                        <div class="card mb-3 mt-3">
                            <div class="card-header text-center">
                                Progress Keseluruhan
                            </div>
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div th:if="${progres} != null">
                                        <div th:class="${progres} < 51 ? 'c100 p'+${progres}+' orange' : 'c100 p'+${progres}+' blue'" style="margin-top: -5px; margin-bottom: 0px;">
                                            <span th:text="${progres}+'%'"></span>
                                            <div class="slice">
                                                <div class="bar"></div>
                                                <div class="fill"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="d-flex">
                                    <span class="font-italic">*diperbarui pada <th:block th:text="${updateterakhir}"></th:block></span> 
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
                    </div>
                </div>
            </div>
        </div>
        <script>
            $(document).ready(function () {
                // Bind normal buttons
                Ladda.bind('.ladda-button', {timeout: 2000});
            });
        </script>
    </body>

</html>
